Forget Password

Lets you set a new password if the customer has lost or forgot password. This is applicable only for brands for which password is enabled. You need to first generate sessionId and then use it in password/forget. After setting a new password, the customer customer needs to authenticate again -

  1. Generate token,
  2. Generate OTP, and
  3. Validate OTP.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Resource Information

URI for Mobile Appauth/v1/password/forget
URI for Web Appauth/v1/web/password/forget
Rate LimitDemo and testing clusters: 1000 requests per minute per API key. Other organizations: Rate limit is brand-specific.
AuthenticationNot required
HTTP MethodPOST
Batch SupportNo

Request URL

For mobile application:

http://{ae-host}/auth/v1/password/forget

For web application:

http://{ae-host}/auth/v1/web/password/forget

Example request

curl --location 'https://eu.api.capillarytech.com/auth/v1/password/forget' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'accept: application/json' \
--data '{
    "identifierType": "MOBILE",
    "identifierValue": "919999922332",
    "password": "QWERTY12345",
    "confirmPassword": "QWERTY12345",
    "brand": "DocDemo",
    "deviceId": "123456785",
    "sessionId": "P-d13b591a-b4ff-4b8d-ab0b-20be09b3272e"
}'
curl --location 'https://eu.api.capillarytech.com/auth/v1/web/password/forget' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'accept: application/json' \
--data '{
    "identifierType": "MOBILE",
    "identifierValue": "919999922332",
    "password": "QWERTY12345",
    "confirmPassword": "QWERTY12345",
    "brand": "DocDemo",
    "deviceId": "123456785",
    "sessionId": "P-0b18c430-ed15-461c-8315-8c745f1f4ff2"
}'

ParameterDatatypeDescription
identifierType*enumValues: MOBILE, EMAIL, USERNAME.
identifierValue*stringValue of the specified identifierType. For example, if identifierType is MOBILE, the identifierValue is a mobile number.
deviceId**stringUnique ID of the device used to reset the password.
brand*stringName of the brand or organization associated with the current account.
sessionId*stringUnique sessionId generated for the identifierType and deviceId combination.
password*stringNew password for the account.
confirmPassword*stringReenter the new password.

Parameters marked with * are mandatory

Parameter marked with ** is mandatory for the mobile application and optional for web application.

Example response

{
    "status": {
        "success": true,
        "code": 200,
        "message": "SUCCESS"
    }
}
{
    "status": {
        "success": true,
        "code": 200,
        "message": "SUCCESS"
    }
}

Body Params
string
required

Identifier used for token generation. Values: MOBILE, EMAIL, USERNAME.

string
required

Value of the specified identifierType.

string
required

Name of the brand/org for which authentication needs to be verified.

string

Unique ID of the device used for changing password. Applicable only for mobile app.

string
required

Unique sessionId generated for the identifierType and deviceId combination.

string
required

New password for the account.

string
required

Reenter the new password.

Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json